#!/bin/bash

# This file is part of gpcsets: Pitch Class Sets for Haskell
# Copyright 2009 by Bruce H. McCosar.
# Distributed under a BSD3 license; see the file 'LICENSE' for details.

export GHC="runghc -i../src"

for T in \
  Test/PcSets.lhs \
  Test/PcSets/Compact.lhs \
  Test/PcSets/Notes.lhs \
  Test/PcSets/Catalog.lhs \
  Test/PcSets/Svg.lhs \
  ;
do echo "-- $T --" && $GHC $T ;
done
